Name:		ratbox-services
Version:	1.2.1
Release:	11%{?dist}
Summary:	Service package for ircd-ratbox

Group:		System Environment/Daemons
License:	GPLv2
URL:		http://services.ircd-ratbox.org
Source0:	http://services.ircd-ratbox.org/download/%{name}-%{version}.tgz
Source1:	ratbox-services.init
Source2:	ratbox-services.conf
Source3:	ratbox-services.logrotate
Patch0:		ratbox-services-1.2.1-dbpath.patch
Patch1:		ratbox-services-1.2.1-oldflex.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	bison, flex, mysql-devel, sqlite-devel, postgresql-devel
BuildRequires:	pcre-devel
Requires:	MTA, ircd-ratbox

Requires(post):	/sbin/chkconfig
Requires(preun):	/sbin/chkconfig
Requires(preun):	/sbin/service

%description
ratbox-services is a services package written mostly from
scratch for use with ircd-ratbox. It is highly configurable,
with nearly all options being set in a config that can be
rehashed rather than set at compile time. It also uses the
SQLite database backend, which works as a database interface
to a normal file, meaning no separate database software must be running.

%package devel
Summary:	Devel package for ircd-ratbox service
Group:		System Environment/Daemons
Requires:	%{name} = %{version}-%{release}

%description devel
Headers for ratbox-services, service package for ircd-ratbox.

%prep
%setup -q
%patch0 -p1 -b .dbpath
%patch1 -p1 -b .oldflex

cat << \EOF > %{name}-req
#!/bin/sh
%{__perl_requires} $* |\
sed -e '/perl(definetolength.pl)/d'
EOF

%define __perl_requires %{_builddir}/%{name}-%{version}/%{name}-req
chmod +x %{__perl_requires}


%build
sed 's/-Werror//g' -i configure # usage of -Werror in stable version of software is a bug
%configure					\
	--bindir=%{_sbindir}			\
	--with-helpdir=%{_datadir}/%{name}	\
	--with-confdir=%{_sysconfdir}		\
	--sysconfdir=%{_sysconfdir}		\
	--with-logdir=%{_var}/log/%{name}	\
	--with-nicklen=32			\
	--with-topiclen=350			\

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_var}/lib/%{name}/
install -D -m755 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/init.d/%{name}
install -D -m640 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/ratbox-services.conf
install -D -m664 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/ratbox-services
install -D -m655 tools/base/schema-sqlite.txt $RPM_BUILD_ROOT%{_datadir}/%{name}/schemas/schema-sqlite.txt
install -D -m655 tools/base/schema-mysql.txt $RPM_BUILD_ROOT%{_datadir}/%{name}/schemas/schema-mysql.txt
install -D -m655 tools/base/schema-pgsql.txt $RPM_BUILD_ROOT%{_datadir}/%{name}/schemas/schema-pgsql.txt

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ $1 -eq 0 ]; then
	/sbin/chkconfig --add ratbox-services
fi

if [ ! -e %{_var}/lib/%{name}/%{name}.db ]; then
	/usr/bin/sqlite3 init %{_var}/lib/%{name}/%{name}.db
	/usr/bin/sqlite3 %{_var}/lib/%{name}/%{name}.db < %{_datadir}/%{name}/schemas/schema-sqlite.txt
fi

%preun
if [ $1 -eq 0 ]; then
	/sbin/service ratbox-services stop >/dev/null 2>&1
	/sbin/chkconfig --del ratbox-services
fi

%files
%defattr(-,root,root)
%doc CREDITS DBMOVE INSTALL* LICENSE RELEASE_NOTES SVN-Access README doc/* 
%attr(-,root,ircd) %{_sbindir}/%{name}
%{_sbindir}/*.pl
%{_sysconfdir}/init.d/%{name}
%{_datadir}/%{name}
%config(noreplace) %attr(-,root,ircd) %{_sysconfdir}/ratbox-services.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/ratbox-services
%dir %attr(-,ircd,ircd) %{_var}/lib/%{name}
%dir %attr(750,ircd,ircd) %{_var}/log/%{name}
%exclude %{_sysconfdir}/example.conf

%files devel
%defattr(-,root,root,-)
%{_includedir}/*.h

%changelog
* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jul 18 2013 Petr Pisar <ppisar@redhat.com> - 1.2.1-9
- Perl 5.18 rebuild

* Sat Feb 23 2013 Ville Skyttä <ville.skytta@iki.fi> - 1.2.1-8
- Fix F-19 FTBFS due to old flex parser skeleton code (#914427).
- Build with system PCRE instead of a bundled copy.
- Fix bogus date in %%changelog.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Aug 28 2008 Marek Mahut <mmahut@fedoraproject.org> - 1.2.1-1
- Initial package build
